# Uses of Interface
org.eclipse.net4j.db.ddl.delta.IDBIndexDelta

Packages that use IDBIndexDelta
Package
Description
org.eclipse.net4j.db.ddl.delta
The Net4j DB framework concepts for the abstraction of schema deltas.
org.eclipse.net4j.spi.db
Server service provider interfaces and useful base implementations for the Net4j DB framework.

## Uses of IDBIndexDelta in org.eclipse.net4j.db.ddl.delta

Methods in org.eclipse.net4j.db.ddl.delta that return IDBIndexDelta
Modifier and Type
Method
Description
`IDBIndexDelta`
IDBTableDelta.`getIndexDelta(String name)`
`IDBIndexDelta[]`
IDBTableDelta.`getIndexDeltasSortedByName()`
`IDBIndexDelta`
IDBIndexFieldDelta.`getParent()`
Methods in org.eclipse.net4j.db.ddl.delta that return types with arguments of type IDBIndexDelta
Modifier and Type
Method
Description
`Map<String,IDBIndexDelta>`
IDBTableDelta.`getIndexDeltas()`
Methods in org.eclipse.net4j.db.ddl.delta with parameters of type IDBIndexDelta
Modifier and Type
Method
Description
`protected void`
IDBDeltaVisitor.Default.`added(IDBIndexDelta delta)`
`protected void`
IDBDeltaVisitor.Filter.`added(IDBIndexDelta delta)`
`protected void`
IDBDeltaVisitor.Default.`changed(IDBIndexDelta delta)`
`protected void`
IDBDeltaVisitor.Filter.`changed(IDBIndexDelta delta)`
`protected void`
IDBDeltaVisitor.Copier.`doVisit(IDBIndexDelta delta)`
`protected void`
IDBDeltaVisitor.Filter.`doVisit(IDBIndexDelta delta)`
`protected void`
IDBDeltaVisitor.Default.`removed(IDBIndexDelta delta)`
`protected void`
IDBDeltaVisitor.Filter.`removed(IDBIndexDelta delta)`
`void`
IDBDeltaVisitor.Default.`visit(IDBIndexDelta delta)`
`void`
IDBDeltaVisitor.`visit(IDBIndexDelta delta)`

## Uses of IDBIndexDelta in org.eclipse.net4j.spi.db

Methods in org.eclipse.net4j.spi.db with parameters of type IDBIndexDelta
Modifier and Type
Method
Description
`protected void`
DBAdapter.`createIndex(Connection connection, IDBIndex index, IDBIndexDelta delta)`
`protected void`
DBAdapter.`dropIndex(Connection connection, IDBIndex index, IDBIndexDelta delta)`